Summary:	Database drivers for libdbi
Name:		libdbi-drivers
Version:	0.9.0
Release:	%mkrel 8
License:	LGPL
Group:		System/Libraries
URL:		http://libdbi-drivers.sourceforge.net/
Source0:	http://downloads.sourceforge.net/libdbi-drivers/%{name}-%{version}.tar.gz
Patch0:		libdbi-drivers-0.9.0-automake-1.13.patch
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool
BuildRequires:	dbi-devel >= 0.9.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	pkgconfig(fbembed)
BuildRequires:	freetds-devel >= 0.62.4
BuildRequires:	mysql-devel
BuildRequires:	openjade
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
BuildRequires:	sqlite-devel
# for tests
BuildRequires:	mysql 
BuildRequires:	postgresql-server 
BuildRequires:	sqlite-tools 
BuildRequires:	sqlite3-tools 
# BuildRequires:	firebird 
BuildRequires:	freetds

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package	dbd-mysql
Summary:	MySQL driver for libdbi
Group:		System/Libraries

%description	dbd-mysql
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to MySQL database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	dbd-pgsql
Summary:	PostgreSQL driver for libdbi
Group:		System/Libraries

%description	dbd-pgsql
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to PostgreSQL database servers through the
libdbi database independent abstraction layer. Switching a program's driver
does not require recompilation or rewriting source code.

%package	dbd-sqlite
Summary:	SQLite driver for libdbi
Group:		System/Libraries

%description	dbd-sqlite
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to SQLite database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	dbd-sqlite3
Summary:	SQLite3 driver for libdbi
Group:		System/Libraries

%description	dbd-sqlite3
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to SQLite3 database servers through the
libdbi database independent abstraction layer. Switching a program's driver
does not require recompilation or rewriting source code.

%package	dbd-freetds
Summary:	MSSQL (FreeTDS) driver for libdbi
Group:		System/Libraries

%description	dbd-freetds
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to MSSQL database servers through the libdbi
database independent abstraction layer. Switching a program's driver does not
require recompilation or rewriting source code.

%package	dbd-firebird
Summary:	Firebird driver for libdbi
Group:		System/Libraries

%description	dbd-firebird
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This driver provides connectivity to Firebird database servers through the
libdbi database independent abstraction layer. Switching a program's driver
does not require recompilation or rewriting source code.

%package	devel
Summary:	Static library and header files for the %{name} library drivers
Group:		Development/C
Provides:	%{name}-drivers-devel
Requires:	dbi-devel >= 0.8.2

%description	devel
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This package contains the static libraries and header files.

%prep
%setup -q 
%autopatch -p1

# fix dir perms
find -type d | xargs chmod 755

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" acinclude.m4

# mockup the tests slightly
mv tests/test_sqlite.sh tests/test_sqlite.sh.orig
cat > tests/test_sqlite.sh << EOF
echo "WARNING: \$0 disabled due to \"[1] should match [0] at [test_dbi.c] ...\""
EOF

chmod 755 tests/test_*.sh

%build
sh autogen.sh

%configure2_5x --disable-static \
    --with-mysql \
    --with-pgsql \
    --with-sqlite \
    --with-sqlite3 \
    --with-freetds \
    --with-freetds-incdir=%{_includedir} \
    --with-freetds-libdir=%{_libdir} \
    --with-firebird \
    --with-firebird-incdir=%{_includedir}/fbembed \
    --with-dbi-incdir=%{_includedir}/dbi \
    --with-dbi-libdir=%{_libdir}

%make

#%%check
#make check

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

# install development headers
install -d %{buildroot}%{_includedir}/dbi
install -m0644 drivers/mysql/dbd_mysql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/pgsql/dbd_pgsql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/sqlite/dbd_sqlite.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/sqlite3/dbd_sqlite3.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/freetds/dbd_freetds.h %{buildroot}%{_includedir}/dbi/

# fix some docs
cp drivers/mysql/TODO TODO.mysql
cp drivers/pgsql/TODO TODO.pgsql
cp drivers/sqlite/TODO TODO.sqlite
cp drivers/sqlite3/TODO TODO.sqlite3

# cleanup
rm -rf %{buildroot}%{_docdir}/%{name}*

%files dbd-mysql
%doc drivers/mysql/README
%doc drivers/mysql/AUTHORS
%doc drivers/mysql/dbd_mysql
%doc drivers/mysql/dbd_mysql.pdf
%{_libdir}/dbd/libdbdmysql.so

%files dbd-pgsql
%doc drivers/pgsql/README
%doc drivers/pgsql/AUTHORS
%doc drivers/pgsql/dbd_pgsql
%doc drivers/pgsql/dbd_pgsql.pdf
%{_libdir}/dbd/libdbdpgsql.so

%files dbd-sqlite
%doc drivers/sqlite/README
%doc drivers/sqlite/AUTHORS
%doc drivers/sqlite/dbd_sqlite
%doc drivers/sqlite/dbd_sqlite.pdf
%{_libdir}/dbd/libdbdsqlite.so

%files dbd-sqlite3
%doc drivers/sqlite3/AUTHORS
%doc drivers/sqlite3/README
%doc drivers/sqlite3/AUTHORS
%doc drivers/sqlite3/dbd_sqlite3
%doc drivers/sqlite3/dbd_sqlite3.pdf
%{_libdir}/dbd/libdbdsqlite3.so

%files dbd-firebird
%doc drivers/firebird/AUTHORS
%doc drivers/firebird/README
%doc drivers/firebird/dbd_firebird.pdf
%{_libdir}/dbd/libdbdfirebird.so

%files dbd-freetds
%doc drivers/freetds/README
%{_libdir}/dbd/libdbdfreetds.so

%files devel
%doc AUTHORS ChangeLog INSTALL README TODO*
%{_includedir}/dbi/*.h


%changelog
* Sun Apr 10 2016 philippem <philippem> 0.9.0-8.mga6
+ Revision: 1000005
- rebuild with fbembed (Firebird2)

* Sun Feb 28 2016 oden <oden> 0.9.0-7.mga6
+ Revision: 980341
- rebuilt for postgresql 9.5.x

* Tue Feb 09 2016 umeabot <umeabot> 0.9.0-6.mga6
+ Revision: 950932
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 0.9.0-5.mga5
+ Revision: 799129
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 747888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 681399
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 523912
- Mageia 4 Mass Rebuild

* Sun May 26 2013 oden <oden> 0.9.0-1.mga4
+ Revision: 428143
- disable the test suite for now
- 0.9.0
- add firebird support

* Sat Jan 12 2013 fwang <fwang> 0.8.3-12.mga3
+ Revision: 357199
- fix build with latest automake
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 dlucio <dlucio> 0.8.3-11.mga3
+ Revision: 321501
- imported package libdbi-drivers

